CHGPASSWD(8)

NAME
chgpasswd - aktualisiert Gruppenpasswörter im Batch-Modus

ÜBERSICHT

chgpasswd [Optionen]

BESCHREIBUNG

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Dieser Befehl ist für den Einsatz in großen Umgebungen vorgesehen, in der viele Konten gleichzeitig erstellt werden müssen.

OPTIONEN

The options which apply to the chgpasswd command are:

-c, --crypt-method
    Definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind DES, MD5, NONE und SHA256 oder SHA512, soweit Ihre libc sie unterstützt.

-e, --encrypted
    Passwörter werden verschlüsselt angegeben.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-m, --md5
    werwendet zur Verschlüsselung MD5 anstelle von DES, wenn die Passwörter unverschlüsselt angegeben werden

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    Verwendet die angegebene Anzahl von Runden, um die Passwörter zu verschlüsseln.

    Ein Wert von 0 bedeutet, dass das System die Standardanzahl der Runden (5000) für die Verschlüsselung verwenden wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

WARNUNGEN

Achten Sie darauf, dass die Rechte und Umask korrekt vergeben sind, um zu verhindern, dass andere Benutzer unverschlüsselte Dateien lesen können.

Sie sollten darauf achten, dass Passwörter und Verschlüsselungsmethode in Einklage mit der Passwortrichtlinie des Systems stehen.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

SIEHE AUCH

gpasswd(1), groupadd(8), login.defs(5).